Subject: bug#51340: 27.2; Bad indentation and fontification of advice functions

From: Drew Adams <[email-masked]>
Date: Fri, 22 Oct 2021 21:53:01 +0000

1. Please consider indenting functions such as `advice-add' and
   `add-function' properly.  They should probably be indented the way
   function definitions (defuns) are.  So far, they're indented with no
   attention to what they're for or what their content is (e.g. use of
   keywords).

2. Please consider fontifying functions such as `advice-add', the same
   as functions such as `add-function': `fontlock-keyword-face'.

In GNU Emacs 27.2 (build 1, x86_64-w64-mingw32)
 of 2021-03-26 built on CIRROCUMULUS
Repository revision: deef5efafb70f4b171265b896505b92b6eef24e6
Repository branch: HEAD
Windowing system distributor 'Microsoft Corp.', version 10.0.19042
System Description: Microsoft Windows 10 Pro (v10.0.2009.19042.1237)